<template>
  <div class="flex py-2 border-b">
    <div class="w-16">
      <q-toggle v-model="enable" />
    </div>
    <div class="flex-1 px-2">
      {{ props.rule.name }}
    </div>
    <div class="flex-2 px-2">
      {{ props.rule.description }}
    </div>
    <div class="flex-2" />
  </div>
</template>

<script setup lang="ts">
import { Rule } from '../types/rule.type';
import { ref } from 'vue';

interface Props {
  rule: Rule;
}
const props = withDefaults(defineProps<Props>(), {});

const emit = defineEmits<{
  (e: 'update:modelValue', value: string): void;
}>();

const enable = ref(props.rule.enable);
</script>

<style scoped lang="sass">
</style>
